import { use } from 'echarts/core';
import { CanvasRenderer, SVGRenderer } from 'echarts/renderers';
import { EChartsBaseConfig } from './eChartsBaseConfig';
import { EChartsHTMLChart } from './eChartsHTMLChart';
export class EChartsHTMLConfig extends EChartsBaseConfig {
    constructor(theme, initOptions, components) {
        super(theme, initOptions);
        this.addComponents(components);
    }
    build(element, option, data) {
        return new EChartsHTMLChart(element, option, this.initOptions, data, this.theme);
    }
    addComponents(components) {
        const renderer = this.initOptions.renderer === 'canvas' ? CanvasRenderer : SVGRenderer;
        const comps = components
            ? Array.isArray(components)
                ? components
                : [components]
            : [];
        use([...comps, renderer]);
    }
}
