class ArrowTableToJSON {
    data;
    constructor(data) {
        this.data = data;
    }
    call() {
        const { schema } = this.data;
        const { fields } = schema;
        const dimensions = fields.map((field) => field.name);
        const source = dimensions.reduce((obj, column, idx) => {
            obj[column] = this.data.getChildAt(idx)?.toArray() || [];
            return obj;
        }, {});
        return { dimensions, source };
    }
}
export class ArrowDataToJSON {
    data;
    constructor(data) {
        this.data = data;
    }
    call() {
        if (Array.isArray(this.data)) {
            return this.data.map((table) => this.transform(table));
        }
        return this.transform(this.data);
    }
    transform(table) {
        return new ArrowTableToJSON(table).call();
    }
}
